"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const BeginTransaction_1 = require("../model/operations/BeginTransaction");
class BeginTransactionCommand {
    constructor(input) {
        this.input = input;
        this.model = BeginTransaction_1.BeginTransaction;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.BeginTransactionCommand = BeginTransactionCommand;
//# sourceMappingURL=BeginTransactionCommand.js.map