"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const ExecuteStatement_1 = require("../model/operations/ExecuteStatement");
class ExecuteStatementCommand {
    constructor(input) {
        this.input = input;
        this.model = ExecuteStatement_1.ExecuteStatement;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.ExecuteStatementCommand = ExecuteStatementCommand;
//# sourceMappingURL=ExecuteStatementCommand.js.map